GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
VRTSimpleSource Class Reference
Inheritance diagram for VRTSimpleSource:

## Public Member Functions
| VRTSimpleSource (const VRTSimpleSource *poSrcSource, double dfXDstRatio, double dfYDstRatio)
virtual CPLErr | XMLInit (CPLXMLNode *psTree, const char *)
virtual CPLXMLNode * | SerializeToXML (const char *pszVRTPath)
void | SetSrcBand (GDALRasterBand *)
void | SetSrcMaskBand (GDALRasterBand *)
void | SetSrcWindow (double, double, double, double)
void | SetDstWindow (double, double, double, double)
void | SetNoDataValue (double dfNoDataValue)
const CPLString & | GetResampling () const
void | SetResampling (const char *pszResampling)
int | GetSrcDstWindow (int, int, int, int, int, int, double *pdfReqXOff, double *pdfReqYOff, double *pdfReqXSize, double *pdfReqYSize, int *, int *, int *, int *, int *, int *, int *, int *)
virtual CPLErr | RasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, GSpacing nPixelSpace, GSpacing nLineSpace, GDALRasterIOExtraArg *psExtraArg)
virtual double | GetMinimum (int nXSize, int nYSize, int *pbSuccess)
virtual double | GetMaximum (int nXSize, int nYSize, int *pbSuccess)
virtual CPLErr | ComputeRasterMinMax (int nXSize, int nYSize, int bApproxOK, double *adfMinMax)
virtual CPLErr | ComputeStatistics (int nXSize, int nYSize, int bApproxOK, double *pdfMin, double *pdfMax, double *pdfMean, double *pdfStdDev, GDALProgressFunc pfnProgress, void *pProgressData)
virtual CPLErr | GetHistogram (int nXSize, int nYSize, double dfMin, double dfMax, int nBuckets, GUIntBig *panHistogram, int bIncludeOutOfRange, int bApproxOK, GDALProgressFunc pfnProgress, void *pProgressData)
void | DstToSrc (double dfX, double dfY, double &dfXOut, double &dfYOut)
void | SrcToDst (double dfX, double dfY, double &dfXOut, double &dfYOut)
virtual void | GetFileList (char ***ppapszFileList, int *pnSize, int *pnMaxSize, CPLHashSet *hSetFiles)
virtual int | IsSimpleSource ()
virtual const char * | GetType ()
GDALRasterBand * | GetBand ()
int | IsSameExceptBandNumber (VRTSimpleSource *poOtherSource)
CPLErr | DatasetRasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, int nBandCount, int *panBandMap, GSpacing nPixelSpace, GSpacing nLineSpace, GSpacing nBandSpace, GDALRasterIOExtraArg *psExtraArg)
void | UnsetPreservedRelativeFilenames ()
void | SetMaxValue (int nVal)

## Protected Member Functions
int | NeedMaxValAdjustment () const

## Protected Attributes
GDALRasterBand * | m_poRasterBand
GDALRasterBand * | m_poMaskBandMainBand
double | m_dfSrcXOff
double | m_dfSrcYOff
double | m_dfSrcXSize
double | m_dfSrcYSize
double | m_dfDstXOff
double | m_dfDstYOff
double | m_dfDstXSize
double | m_dfDstYSize
int | m_bNoDataSet
double | m_dfNoDataValue
CPLString | m_osResampling
int | m_nMaxValue
int | m_bRelativeToVRTOri
CPLString | m_osSourceFileNameOri

## Friends
class | VRTSourcedRasterBand

The documentation for this class was generated from the following files:

- vrtdataset.h
- vrtsources.cpp

Generated for GDAL by 1.8.8.